Name:		spec-helper
Version:	0.31.8
Release:	%mkrel 2
Summary:	Tools to ease the creation of rpm packages
License:	GPLv2+
Group:		Development/Other
URL:		http://svnweb.mageia.org/soft/rpm/spec-helper
Source0:	%{name}-%{version}.tar.xz
Requires:	findutils
Requires:	gettext
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(List::MoreUtils)
BuildArch:	noarch

%description
Tools to ease the creation of rpm packages for the %_vendor distribution.
Compress man pages using xz, convert links and perform some sanitizing on
packages built...

%prep
%setup -q

%install
%makeinstall_std bindir=%{_bindir} rpmmacrosdir=%{_sys_macros_dir}

%check
make test

%files
%doc README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%{_sys_macros_dir}/%{name}.macros




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.31.8-2.mga3
+ Revision: 382456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 colin <colin> 0.31.8-1.mga3
+ Revision: 273988
- new version: 0.31.8
-  o fix_pamd: Check for /usr/lib[64]/security/ folder too after usrmove
-  o relink_symlinks: Do not make symlinks to /dev, /proc or /sys relative

* Fri Mar 16 2012 anssi <anssi> 0.31.7-1.mga2
+ Revision: 223662
- new version 0.31.7
  o clean_perl: don't try to remove empty dirs directly under /usr/lib/perl5
    (fixes build of perl itself)
  o clean_perl: use -empty instead of silencing failing directory deletion
    attempts

* Mon Mar 05 2012 dmorgan <dmorgan> 0.31.6-1.mga2
+ Revision: 218614
- prevent waiting for non existing files if files contains space or dash
- Remove mandriva occurency

* Sun Jan 01 2012 dmorgan <dmorgan> 0.31.5-3.mga2
+ Revision: 189421
- Fix URL

* Fri Jan 21 2011 alien <alien> 0.31.5-2.mga1
+ Revision: 29647
- Remove BuildRoot
- imported package spec-helper

